org.apache.velocity.tools.view

## Class BrowserToolDeprecatedMethods

- java.lang.Object
- - org.apache.velocity.tools.generic.SafeConfig
  - - org.apache.velocity.tools.generic.LocaleConfig
    - - org.apache.velocity.tools.generic.FormatConfig
      - - org.apache.velocity.tools.view.BrowserToolDeprecatedMethods

Direct Known Subclasses:
  BrowserTool

Deprecated.

    @Deprecated
    public abstract class BrowserToolDeprecatedMethods
    extends FormatConfig

### Field Summary

### Fields inherited from class org.apache.velocity.tools.generic.FormatConfig

`DEFAULT_FORMAT, FORMAT_KEY`

### Fields inherited from class org.apache.velocity.tools.generic.LocaleConfig

`DEFAULT_LOCALE`

### Fields inherited from class org.apache.velocity.tools.generic.SafeConfig

`LOCK_CONFIG_KEY, log, LOGGER_NAME_KEY, SAFE_MODE_KEY, USE_CLASS_LOGGER_KEY`

### Constructor Summary

Constructors
Constructor and Description
`BrowserToolDeprecatedMethods()` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract UAParser.UAEntity` `getBrowser()` Deprecated.
`boolean` `getCss()` Deprecated.
`boolean` `getCss1()` Deprecated.
`boolean` `getCss2()` Deprecated.
`boolean` `getDom0()` Deprecated.
`boolean` `getDom1()` Deprecated.
`boolean` `getDom2()` Deprecated.
`boolean` `getDotnet()` Deprecated.
`int` `getGeckoMajorVersion()` Deprecated.
`int` `getGeckoMinorVersion()` Deprecated.
`String` `getGeckoVersion()` Deprecated.
`boolean` `getIe()` Deprecated.
`boolean` `getIe3()` Deprecated.
`boolean` `getIe4()` Deprecated.
`boolean` `getIe4up()` Deprecated.
`boolean` `getIe5()` Deprecated.
`boolean` `getIe55()` Deprecated.
`boolean` `getIe55up()` Deprecated.
`boolean` `getIe5up()` Deprecated.
`boolean` `getIe6()` Deprecated.
`boolean` `getIe6up()` Deprecated.
`boolean` `getIe7()` Deprecated.
`boolean` `getIe7up()` Deprecated.
`boolean` `getIe8()` Deprecated.
`boolean` `getIe8up()` Deprecated.
`boolean` `getJavascript()` Deprecated.
`int` `getMajorVersion()` Deprecated.
`int` `getMinorVersion()` Deprecated.
`boolean` `getNav2()` Deprecated.
`boolean` `getNav3()` Deprecated.
`boolean` `getNav4()` Deprecated.
`boolean` `getNav45()` Deprecated.
`boolean` `getNav45up()` Deprecated.
`boolean` `getNav4up()` Deprecated.
`boolean` `getNav6()` Deprecated.
`boolean` `getNav6up()` Deprecated.
`boolean` `getNavgold()` Deprecated.
`boolean` `getOpera3()` Deprecated.
`boolean` `getOpera4()` Deprecated.
`boolean` `getOpera5()` Deprecated.
`boolean` `getOpera6()` Deprecated.
`boolean` `getOpera7()` Deprecated.
`boolean` `getOpera8()` Deprecated.
`boolean` `getOpera9()` Deprecated.
`abstract UAParser.UAEntity` `getOperatingSystem()` Deprecated.
`abstract UAParser.UAEntity` `getRenderingEngine()` Deprecated.
`String` `getUserAgent()` Deprecated.
`abstract String` `getUserAgentString()` Deprecated.
`String` `getVersion()` Deprecated.
`boolean` `getVista()` Deprecated.
`boolean` `getWin16()` Deprecated.
`boolean` `getWin2k()` Deprecated.
`boolean` `getWin31()` Deprecated.
`boolean` `getWin32()` Deprecated.
`boolean` `getWin3x()` Deprecated.
`boolean` `getWin95()` Deprecated.
`boolean` `getWin98()` Deprecated.
`boolean` `getWinme()` Deprecated.
`boolean` `getWinnt()` Deprecated.
`boolean` `getWinxp()` Deprecated.
`boolean` `isAix()` Deprecated.
`boolean` `isAix1()` Deprecated.
`boolean` `isAix2()` Deprecated.
`boolean` `isAix3()` Deprecated.
`boolean` `isAix4()` Deprecated.
`boolean` `isAmiga()` Deprecated.
`boolean` `isBsd()` Deprecated.
`abstract boolean` `isChrome()` Deprecated.
`boolean` `isDec()` Deprecated.
`boolean` `isEmacs()` Deprecated.
`abstract boolean` `isFirefox()` Deprecated.
`boolean` `isFreebsd()` Deprecated.
`abstract boolean` `isGecko()` Deprecated.
`boolean` `isHpux()` Deprecated.
`boolean` `isHpux10()` Deprecated.
`boolean` `isHpux9()` Deprecated.
`boolean` `isIrix()` Deprecated.
`boolean` `isIrix5()` Deprecated.
`boolean` `isIrix6()` Deprecated.
`abstract boolean` `isKonqueror()` Deprecated.
`abstract boolean` `isLinks()` Deprecated.
`abstract boolean` `isLinux()` Deprecated.
`boolean` `isMac()` Deprecated.
`boolean` `isMac68k()` Deprecated.
`boolean` `isMacppc()` Deprecated.
`abstract boolean` `isMozilla()` Deprecated.
`boolean` `isMpras()` Deprecated.
`abstract boolean` `isMSIE()` Deprecated.
`abstract boolean` `isNetscape()` Deprecated.
`abstract boolean` `isOpera()` Deprecated.
`boolean` `isOs2()` Deprecated.
`abstract boolean` `isOSX()` Deprecated.
`boolean` `isReliant()` Deprecated.
`abstract boolean` `isSafari()` Deprecated.
`boolean` `isSco()` Deprecated.
`boolean` `isSinix()` Deprecated.
`boolean` `isSun()` Deprecated.
`boolean` `isSun4()` Deprecated.
`boolean` `isSun5()` Deprecated.
`boolean` `isSuni86()` Deprecated.
`boolean` `isUnixware()` Deprecated.
`boolean` `isVMS()` Deprecated.
`abstract boolean` `isWindows()` Deprecated.
`boolean` `isX11()` Deprecated.
`protected abstract boolean` `test(String str)` Deprecated.

### Methods inherited from class org.apache.velocity.tools.generic.FormatConfig

`configure, getFormat, setFormat`

### Methods inherited from class org.apache.velocity.tools.generic.LocaleConfig

`getLocale, setLocale, toLocale`

### Methods inherited from class org.apache.velocity.tools.generic.SafeConfig

`configure, getLog, initLogger, isConfigLocked, isSafeMode, setLockConfig, setSafeMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BrowserToolDeprecatedMethods

    public BrowserToolDeprecatedMethods()

Deprecated.

### Method Detail

#### getUserAgentString

    public abstract String getUserAgentString()

Deprecated.

#### getBrowser

    public abstract UAParser.UAEntity getBrowser()

Deprecated.

#### getRenderingEngine

    public abstract UAParser.UAEntity getRenderingEngine()

Deprecated.

#### getOperatingSystem

    public abstract UAParser.UAEntity getOperatingSystem()

Deprecated.

#### isMSIE

    public abstract boolean isMSIE()

Deprecated.

#### isNetscape

    public abstract boolean isNetscape()

Deprecated.

#### isOpera

    public abstract boolean isOpera()

Deprecated.

#### isOSX

    public abstract boolean isOSX()

Deprecated.

#### isGecko

    public abstract boolean isGecko()

Deprecated.

#### isKonqueror

    public abstract boolean isKonqueror()

Deprecated.

#### isSafari

    public abstract boolean isSafari()

Deprecated.

#### isChrome

    public abstract boolean isChrome()

Deprecated.

#### isLinks

    public abstract boolean isLinks()

Deprecated.

#### isWindows

    public abstract boolean isWindows()

Deprecated.

#### isMozilla

    public abstract boolean isMozilla()

Deprecated.

#### isFirefox

    public abstract boolean isFirefox()

Deprecated.

#### isLinux

    public abstract boolean isLinux()

Deprecated.

#### test

    protected abstract boolean test(String str)

Deprecated.

#### getUserAgent

    @Deprecated
    public String getUserAgent()

Deprecated.

#### getVersion

    @Deprecated
    public String getVersion()

Deprecated.

#### getMajorVersion

    @Deprecated
    public int getMajorVersion()

Deprecated.

#### getMinorVersion

    @Deprecated
    public int getMinorVersion()

Deprecated.

#### getGeckoVersion

    @Deprecated
    public String getGeckoVersion()

Deprecated.

#### getGeckoMajorVersion

    @Deprecated
    public int getGeckoMajorVersion()

Deprecated.

#### getGeckoMinorVersion

    @Deprecated
    public int getGeckoMinorVersion()

Deprecated.

#### getNav2

    @Deprecated
    public boolean getNav2()

Deprecated.

#### getNav3

    @Deprecated
    public boolean getNav3()

Deprecated.

#### getNav4

    @Deprecated
    public boolean getNav4()

Deprecated.

#### getNav4up

    @Deprecated
    public boolean getNav4up()

Deprecated.

#### getNav45

    @Deprecated
    public boolean getNav45()

Deprecated.

#### getNav45up

    @Deprecated
    public boolean getNav45up()

Deprecated.

#### getNavgold

    @Deprecated
    public boolean getNavgold()

Deprecated.

#### getNav6

    @Deprecated
    public boolean getNav6()

Deprecated.

#### getNav6up

    @Deprecated
    public boolean getNav6up()

Deprecated.

#### getIe

    @Deprecated
    public boolean getIe()

Deprecated.

#### getIe3

    @Deprecated
    public boolean getIe3()

Deprecated.

#### getIe4

    @Deprecated
    public boolean getIe4()

Deprecated.

#### getIe4up

    @Deprecated
    public boolean getIe4up()

Deprecated.

#### getIe5

    @Deprecated
    public boolean getIe5()

Deprecated.

#### getIe5up

    @Deprecated
    public boolean getIe5up()

Deprecated.

#### getIe55

    @Deprecated
    public boolean getIe55()

Deprecated.

#### getIe55up

    @Deprecated
    public boolean getIe55up()

Deprecated.

#### getIe6

    @Deprecated
    public boolean getIe6()

Deprecated.

#### getIe6up

    @Deprecated
    public boolean getIe6up()

Deprecated.

#### getIe7

    @Deprecated
    public boolean getIe7()

Deprecated.

#### getIe7up

    @Deprecated
    public boolean getIe7up()

Deprecated.

#### getIe8

    @Deprecated
    public boolean getIe8()

Deprecated.

#### getIe8up

    @Deprecated
    public boolean getIe8up()

Deprecated.

#### getOpera3

    @Deprecated
    public boolean getOpera3()

Deprecated.

#### getOpera4

    @Deprecated
    public boolean getOpera4()

Deprecated.

#### getOpera5

    @Deprecated
    public boolean getOpera5()

Deprecated.

#### getOpera6

    @Deprecated
    public boolean getOpera6()

Deprecated.

#### getOpera7

    @Deprecated
    public boolean getOpera7()

Deprecated.

#### getOpera8

    @Deprecated
    public boolean getOpera8()

Deprecated.

#### getOpera9

    @Deprecated
    public boolean getOpera9()

Deprecated.

#### getWin16

    @Deprecated
    public boolean getWin16()

Deprecated.

#### getWin3x

    @Deprecated
    public boolean getWin3x()

Deprecated.

#### getWin31

    @Deprecated
    public boolean getWin31()

Deprecated.

#### getWin95

    @Deprecated
    public boolean getWin95()

Deprecated.

#### getWin98

    @Deprecated
    public boolean getWin98()

Deprecated.

#### getWinnt

    @Deprecated
    public boolean getWinnt()

Deprecated.

#### getWin2k

    @Deprecated
    public boolean getWin2k()

Deprecated.

#### getWinxp

    @Deprecated
    public boolean getWinxp()

Deprecated.

#### getVista

    @Deprecated
    public boolean getVista()

Deprecated.

#### getDotnet

    @Deprecated
    public boolean getDotnet()

Deprecated.

#### getWinme

    @Deprecated
    public boolean getWinme()

Deprecated.

#### getWin32

    @Deprecated
    public boolean getWin32()

Deprecated.

#### isMac

    @Deprecated
    public boolean isMac()

Deprecated.

#### isMac68k

    @Deprecated
    public boolean isMac68k()

Deprecated.

#### isMacppc

    @Deprecated
    public boolean isMacppc()

Deprecated.

#### isAmiga

    @Deprecated
    public boolean isAmiga()

Deprecated.

#### isEmacs

    @Deprecated
    public boolean isEmacs()

Deprecated.

#### isOs2

    @Deprecated
    public boolean isOs2()

Deprecated.

#### isSun

    @Deprecated
    public boolean isSun()

Deprecated.

#### isSun4

    @Deprecated
    public boolean isSun4()

Deprecated.

#### isSun5

    @Deprecated
    public boolean isSun5()

Deprecated.

#### isSuni86

    @Deprecated
    public boolean isSuni86()

Deprecated.

#### isIrix

    @Deprecated
    public boolean isIrix()

Deprecated.

#### isIrix5

    @Deprecated
    public boolean isIrix5()

Deprecated.

#### isIrix6

    @Deprecated
    public boolean isIrix6()

Deprecated.

#### isHpux

    @Deprecated
    public boolean isHpux()

Deprecated.

#### isHpux9

    @Deprecated
    public boolean isHpux9()

Deprecated.

#### isHpux10

    @Deprecated
    public boolean isHpux10()

Deprecated.

#### isAix

    @Deprecated
    public boolean isAix()

Deprecated.

#### isAix1

    @Deprecated
    public boolean isAix1()

Deprecated.

#### isAix2

    @Deprecated
    public boolean isAix2()

Deprecated.

#### isAix3

    @Deprecated
    public boolean isAix3()

Deprecated.

#### isAix4

    @Deprecated
    public boolean isAix4()

Deprecated.

#### isSco

    @Deprecated
    public boolean isSco()

Deprecated.

#### isUnixware

    @Deprecated
    public boolean isUnixware()

Deprecated.

#### isMpras

    @Deprecated
    public boolean isMpras()

Deprecated.

#### isReliant

    @Deprecated
    public boolean isReliant()

Deprecated.

#### isDec

    @Deprecated
    public boolean isDec()

Deprecated.

#### isSinix

    @Deprecated
    public boolean isSinix()

Deprecated.

#### isFreebsd

    @Deprecated
    public boolean isFreebsd()

Deprecated.

#### isBsd

    @Deprecated
    public boolean isBsd()

Deprecated.

#### isX11

    @Deprecated
    public boolean isX11()

Deprecated.

#### isVMS

    @Deprecated
    public boolean isVMS()

Deprecated.

#### getCss

    @Deprecated
    public boolean getCss()

Deprecated.

#### getCss1

    @Deprecated
    public boolean getCss1()

Deprecated.

#### getCss2

    @Deprecated
    public boolean getCss2()

Deprecated.

#### getDom0

    @Deprecated
    public boolean getDom0()

Deprecated.

#### getDom1

    @Deprecated
    public boolean getDom1()

Deprecated.

#### getDom2

    @Deprecated
    public boolean getDom2()

Deprecated.

#### getJavascript

    @Deprecated
    public boolean getJavascript()

Deprecated.